# Image
image: mono:4.8.0.524

# This folder is cached between builds
# http://docs.gitlab.com/ce/ci/yaml/README.html#cache
cache:
    key: "${CI_BUILD_NAME}"
    paths:
      - packages/
      - tools/

#- ~/.local/share/NuGet/Cache
#- ~/.nuget/packages

# Stages
stages:
  - build

# Build Artifacts
# https://forum.gitlab.com/t/build-net-projects/1395/12
Artifacts:
  stage: build
  script:
    # Restore Dependencies (NuGet)
    - nuget restore
    # Build Project
    - MONO_IOMAP=case xbuild /t:Build /p:Configuration="Release" /p:Platform="Any CPU" TesteAppVeyor/TesteAppVeyor.sln
